Bug 138466 - Add API::ContextMenuClient and API::InjectedBundle::PageContextMenuClient classes
Summary: Add API::ContextMenuClient and API::InjectedBundle::PageContextMenuClient cla...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 138467
  Show dependency treegraph
 
Reported: 2014-11-06 07:42 PST by Carlos Garcia Campos
Modified: 2015-01-21 23:53 PST (History)
4 users (show)

See Also:


Attachments
Patch (42.33 KB, patch)
2014-11-06 07:48 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Updated patch (46.14 KB, patch)
2014-11-12 09:19 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Try to fix mac build (47.21 KB, patch)
2014-11-12 23:10 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Rebased patch (47.35 KB, patch)
2015-01-05 05:30 PST, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Rebased and updated to use references instead of pointers (47.36 KB, patch)
2015-01-20 09:25 PST, Carlos Garcia Campos
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-11-06 07:42:00 PST
Add API::ContextMenuClient and API::InjectedBundle::PageContextMenuClient classes
Comment 1 Carlos Garcia Campos 2014-11-06 07:48:18 PST
Created attachment 241107 [details]
Patch

I've removed the deleted files from the pbxproj file, but as usual I need help with the new files.
Comment 2 Anders Carlsson 2014-11-06 08:48:23 PST
Is this just cleanup with no functionality change?
Comment 3 Carlos Garcia Campos 2014-11-06 09:09:30 PST
(In reply to comment #2)
> Is this just cleanup with no functionality change?

Yes, I did it to simplify the GTK+ implementation, see bug #138467.
Comment 4 Carlos Garcia Campos 2014-11-12 09:19:10 PST
Created attachment 241428 [details]
Updated patch

Now with the (hopefully correct) xcodeproj file changes
Comment 5 Carlos Garcia Campos 2014-11-12 23:10:32 PST
Created attachment 241474 [details]
Try to fix mac build
Comment 6 Carlos Garcia Campos 2015-01-05 05:30:11 PST
Created attachment 243973 [details]
Rebased patch
Comment 7 Carlos Garcia Campos 2015-01-20 09:25:57 PST
Created attachment 244995 [details]
Rebased and updated to use references instead of pointers
Comment 8 Anders Carlsson 2015-01-21 08:51:49 PST
Comment on attachment 244995 [details]
Rebased and updated to use references instead of pointers

View in context: https://bugs.webkit.org/attachment.cgi?id=244995&action=review

> Source/WebKit2/ChangeLog:1
> +2014-11-12  Carlos Garcia Campos  <carlos@Carloss-Mac.local>

Please fix your e-mail address.
Comment 9 Carlos Garcia Campos 2015-01-21 23:53:04 PST
Committed r178889: <http://trac.webkit.org/changeset/178889>